Zum Hauptinhalt springen

Set a record set on a DNS Zone to managed

POST/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}/actions/set-managed
API-Version
v2
Request-Methode
POST
Operation-ID
dns-set-record-set-managed

This operation can be used to reset DNS records sets to being managed by the mittwald platform.

This affects A, AAAA and MX record sets, which are typically managed by the platform. However, you can override these using the PUT/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}‍ operation.

Request​

  • dnsZoneIdstring (uuid)required

    The ID of the DNSZone to set a record set to managed for.

  • recordSetstring (einer von: a, mx)required

    The record set to set to managed.

Responses​

Format
application/json
Beschreibung

The ID of the Ingress the a-records were set for, or an empty object if mx-records were set.

  • ingressIdstring (uuid)
Content-Type: application/json

{
"ingressId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"ingressId": {
"format": "uuid",
"type": "string"
}
},
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/dns-zones/f0f86186-0a5a-45b2-aa33-502777496347/record-sets/a/actions/set-managed
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.dnsSetRecordSetManaged({
"dnsZoneId": "f0f86186-0a5a-45b2-aa33-502777496347",
"recordSet": "a",
"data": {}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DnsSetRecordSetManaged\DnsSetRecordSetManagedRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DnsSetRecordSetManaged\DnsSetRecordSetManagedRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DnsSetRecordSetManagedRequestBody to learn how to construct a valid instance
$body = new DnsSetRecordSetManagedRequestBody(/* TODO: ... */);

$request = (new DnsSetRecordSetManagedRequest(
dnsZoneId: "f0f86186-0a5a-45b2-aa33-502777496347",
recordSet: "a",
body: $body
));
$response = $client->domain()->dnsSetRecordSetManaged($request);

var_dump($response->getBody();

Auf dieser Seite